import { jsx } from "react/jsx-runtime";
import { Martini as Martini$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Martini = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Martini", ...props, children: /* @__PURE__ */ jsx(Martini$1, { weight: variant }) });
  }
);
Martini.displayName = "Martini";
Object.assign(Martini, { isGdsIcon: true });
export {
  Martini
};
